Subject: bug#19162: closed (Re: bug#19162: emacs-24.4 ./configure --with-ns won't proceed on Yosemite 10.10.1)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 25 Nov 2014 19:07:02 +0000

Your bug report

#19162: emacs-24.4 ./configure --with-ns won't proceed on Yosemite 10.10.1

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19162: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19162
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19162: emacs-24.4 ./configure --with-ns won't proceed on Yosemite 10.10.1
From: "Jan D." <[email-masked]>
To: Yen Chieh Chern <[email-masked]>
Cc: [email-masked]
Date: Tue, 25 Nov 2014 20:06:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.

You are using /usr/local/bin/gcc, which isn’t the standard gcc on OSX.
There is something wrong with that gcc, you get this all over:

gcc: warning: couldn't understand kern.osversion ’14.0.0

But your gcc has no Objective-C installed:

configure:10246: gcc -std=gnu99 -c -g3 -O2 -x objective-c     -x objective-c conftest.c >&5
gcc: warning: couldn't understand kern.osversion '14.0.0
gcc: error: language objective-c not recognized

So there are multiple problems with your system.

Closing this bug.

	Jan D.

> 25 nov 2014 kl. 19:32 skrev Yen Chieh Chern <[email-masked]>:
> 
> Hi Jan,
> 
> Thanks. I have attached the compressed config.log below. Please let me know if you spot something wrong there. 
> 
> CYC
> 
> On Tue, Nov 25, 2014 at 12:24 AM, Jan D. <[email-masked] <mailto:[email-masked]>> wrote:
> Check out config.log.  Compress it and send it here if you don’tsee any error in there.
> 
> 	Jan D.
>  
>> 24 nov 2014 kl. 21:20 skrev Yen Chieh Chern <[email-masked] <mailto:[email-masked]>>:
>> 
>> Hi Jan,
>> 
>> I have already installed command line tools when run the previous compilation.
>> 
>> I also tried compiling with flags '--with-ns --without-x', however it doesn't work,
>> 
>> checking for X... disabled
>> checking AppKit/AppKit.h usability... no
>> checking AppKit/AppKit.h presence... no
>> checking for AppKit/AppKit.h... no
>> configure: error: `--with-ns' was specified, but the include
>>   files are missing or cannot be compiled.
>> 
>> Any further ideas?
>> 
>> Thanks,
>> CYC
>> 
>> On Mon, Nov 24, 2014 at 1:09 PM, Jan D. <[email-masked] <mailto:[email-masked]>> wrote:
>> Do:
>> 
>> xcode-select —install
>> 
>> and run configure with —with-ns —without-x
>> 
>> 	Jan D.
>> 
>>> 24 nov 2014 kl. 09:54 skrev Yen Chieh Chern <[email-masked] <mailto:[email-masked]>>:
>>> 
>>> Hello there,
>>> 
>>> I have the latest Xcode 6.1 installed and Mac OS X 10.10.1. When I compiled from source (git clone -b emacs-24 git://git.savannah.gnu.org/emacs.git <http://git.savannah.gnu.org/emacs.git>) with flag --with-ns, I got the following error,
>>> 
>>> ...
>>> 
>>> checking for X... libraries /usr/X11/lib, headers /usr/X11/include
>>> checking AppKit/AppKit.h usability... no
>>> checking AppKit/AppKit.h presence... no
>>> checking for AppKit/AppKit.h... no
>>> configure: error: `--with-ns' was specified, but the include files are missing or cannot be compiled.
>>> 
>>> I can confirm that AppKit.h exists under 
>>> 
>>> /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/System/Library/Frameworks/AppKit.framework/Versions/C/Headers/AppKit.h
>>> 
>>> I also tried the following as mentioned in bug#18779 but it won't help.
>>> 
>>> ln -s /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include /usr/include
>>> 
>>> I am not sure if it is due to 10.10.1 upgrade, please let me know if there is a workaround. 
>>> 
>>> Thanks,
>>> CYC
>> 
>> 
> 
> 
> <config.log.tar.xz>

Subject: emacs-24.4 ./configure --with-ns won't proceed on Yosemite 10.10.1
From: Yen Chieh Chern <[email-masked]>
To: [email-masked]
Date: Mon, 24 Nov 2014 02:54:03 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello there,

I have the latest Xcode 6.1 installed and Mac OS X 10.10.1. When I compiled
from source (git clone -b emacs-24 git://git.savannah.gnu.org/emacs.git)
with flag --with-ns, I got the following error,

...

checking for X... libraries /usr/X11/lib, headers /usr/X11/include
checking AppKit/AppKit.h usability... no
checking AppKit/AppKit.h presence... no
checking for AppKit/AppKit.h... no
configure: error: `--with-ns' was specified, but the include files are
missing or cannot be compiled.

I can confirm that AppKit.h exists under

/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/System/Library/Frameworks/AppKit.framework/Versions/C/Headers/AppKit.h

I also tried the following as mentioned in bug#18779 but it won't help.

ln
-s /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include
/usr/include

I am not sure if it is due to 10.10.1 upgrade, please let me know if there
is a workaround.

Thanks,
CYC